Resource Spigot NMS and Minecraft Version Overview

Discussion in 'Spigot Plugin Development' started by MiniDigger, Apr 15, 2017.

  1. MiniDigger

    Supporter

    Went ahead and created a small (turned out to be 200 lines, lol) script that generates a wiki page which lists all spigot/minecraft versions you can build, together with nms version, spigot/maven version and links to the sources of that version.
    It also shows the diffs for each of those projects for each version, so its easy to see what changed!

    you can view it here: https://www.spigotmc.org/wiki/spigot-nms-and-minecraft-versions/
    1.8 versions https://www.spigotmc.org/wiki/spigot-nms-and-minecraft-versions-legacy/

    This page is automatically generated using this tool by MiniDigger: Spigot Resolver
    If the page is outdated go nag MiniDigger or just update it yourself using that tool
    This page contains all versions of spigot you can build using buildtools (java -jar BuildTools.jar --rev <version>), together with the nms and bukkit (maven) version and links to the sources on stash for that version.

    Generated on 2019-06-25 05:34:26.236 in 2359 ms.
    (its not up to date anymore as we have reach the message limit!)
     
    #1 MiniDigger, Apr 15, 2017
    Last edited: Jun 25, 2019
    • Useful x 13
    • Like x 5
    • Winner x 2
    • Friendly x 2
    • Agree x 1
    • Creative x 1
  2. Dear god I fucking love you.

    You always have been one of th best people on these forums :')
     
    • Agree Agree x 2
    • Friendly Friendly x 1
    • Useful Useful x 1
  3. MiniDigger

    Supporter

    thank you!
    kinda surprised by how many ppl find this useful. I always had that stuff in my mind since we switched to versioning nms.
     
  4. Can you please add 1.7 versions? Or isnt that possible?
     
  5. Choco

    Moderator

    You cannot compile anything lower than 1.8.0 due to the Bukkit DMCA. Mini's program only reads from versions that are compilable from BuildTools. It's also extremely old so it should not be used regardless.

    Also, thank you @MiniDigger for the spoiler because I am, in fact, a lazy bitch :)
     
    • Funny Funny x 3
    • Agree Agree x 1
    • Informative Informative x 1
  6. i noticed that on how often to logged onto skype before :c
     
    • Funny Funny x 1
    • Winner Winner x 1
  7. MiniDigger

    Supporter

    there is no legal way to obtain those files so nobody can support those versions anymore so adding 1.7 versions would be useless.
    but as choco said, even if I wanted to support it, technically impossible with the current setup.
     
  8. nobody can legally support them.
    i can still find an illegal copy on a website or something and support it through just importing it into my client or maybe even putting it in my .m2.
     
  9. MiniDigger

    Supporter

    ppl still don't seem to know that this is a thing, so:
    [​IMG]
     
    • Like Like x 2
  10. "Buuut MiniDigger, I am a lazy bitch and don't want to click the link!" lmfaoo
     
  11. In Brazil, there's a lot of servers that still in 1.8.X versions (sadly), and have that have some minigames on 1.8 and some on 1.9+.
    For me, this little script will help a lot! Thank you sir!
     
  12. MiniDigger

    Supporter

    Just a headsup, this wiki page is still being updated by wonderful ppl like @ItsMeGlare so better bookmark it ^^
    I myself always forget about it but I get reminded the day spigot updates since somebody already updated the wiki page by then :D
     
    • Like Like x 2
  13. MiniDigger

    Supporter

  14. MiniDigger

    Supporter

    • Useful Useful x 1
    • Agree Agree x 1
  15. MiniDigger

    Supporter

    Thought so, that's why I implemented it :p
     
  16. MiniDigger

    Supporter

    Updated to 1.15.

    Had to move 1.9 to legacy.
     
  17. Sorry for the necro post, but I feel that it is needed so that people know where to look currently. Due to wiki size limitations the NMS versions have been split into three different pages (rather than two) and can be found in the following places:
    1.8 - 1.9 can be found here
    1.10 - 1.15 can be found here
    1.16 and higher can be found here
     
    • Like Like x 1